Name:		    perl-Module-Package-Au
Version:	    2
Release:	    16
Summary:	    Reusable Module::Install bits
License:	    CC0
URL:		    https://metacpan.org/release/Module-Package-Au

Source0:	    https://cpan.metacpan.org/authors/id/A/AU/AUDREYT/Module-Package-Au-%{version}.tar.gz
Patch0:		    perl-Module-Package-Au-no-bundle.patch

BuildArch:	    noarch
BuildRequires:	perl-generators perl(ExtUtils::MakeMaker) perl(Module::Install::AuthorTests)
BuildRequires:	perl(Module::Install::GithubMeta) perl(Module::Install::ReadmeFromPod)
BuildRequires:	perl(Module::Install::ReadmeMarkdownFromPod) perl(Module::Install::Repository)
BuildRequires:	perl(Module::Package) >= 0.24 perl(Pod::Markdown)
Requires:	    perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module defines a set of standard configurations for Makefile.PL files based on Module::Package.

%package_help

%prep
%autosetup -n Module-Package-Au-%{version} -p1
rm -rf inc/*

sed -i 's|1.110730|1.301|g' lib/Module/Package/Au.pm
sed -i 's|1.110730|1.301|g' META.yml

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Module/Package/

%files help
%defattr(-,root,root)
%doc Changes
%{_mandir}/man3/Module::Package::Au.3pm*


%changelog
* Fri Jan 10 2020 openEuler Buildteam <buildteam@openeuler.org> - 2-16
- Package init